## glpk 4.4

=== contrib/jni/Makefile ===
## Makefile (Java Native Interface for GLPK)
##
## Top level Makefile. All makes should be done from here since this 
## takes care of the dependencies between the c and the java code
## (as well as the sample code).
##
## ---------------------------------------------------------------------
## Copyright (C) 2003 Andrew Makhorin <mao@mai2.rcnet.ru>, Department
## for Applied Informatics, Moscow Aviation Institute, Moscow, Russia.
## All rights reserved.
##
## Author: Yuri Victorovich, Software Engineer, yuri@gjt.org.
## Author: Chris Rosebrugh, cpr@pobox.com
##         - added user-installable print and fault hooks.
##           See java/GlpkHookIFC.java
##        
## This file is a part of GLPK (GNU Linear Programming Kit).
##  
## GLPK is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##  
## GLPK is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##  
## You should have received a copy of the GNU General Public License
## along with GLPK; see the file COPYING. If not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.
## --------------------------------------------------------------------


all: glpk.jar libglpk_jni.so

glpk.jar:
	(cd java; make)

libglpk_jni.so: glpk.jar
	(cd c; make)

install: all
	cp c/libglpk_jni.so $(JAVA_HOME)/jre/lib/i386/
	cp java/glpk.jar $(JAVA_HOME)/jre/lib/ext/

uninstall:
	rm $(JAVA_HOME)/jre/lib/i386/libglpk_jni.so
	rm $(JAVA_HOME)/jre/lib/ext/glpk.jar

sample: all
	(cd sample; make test) 

clean:
	(cd c; make clean)
	(cd java; make clean)
	(cd sample; make clean)

=== contrib/jni/c/Makefile ===
## Makefile (Java Native Interface for GLPK)
##
##   Should be called from the parent directory's Makefile since 
##   that deals with the dependencies
##
## ---------------------------------------------------------------------
## Copyright (C) 2003 Andrew Makhorin <mao@mai2.rcnet.ru>, Department
## for Applied Informatics, Moscow Aviation Institute, Moscow, Russia.
## All rights reserved.
##
## Author: Yuri Victorovich, Software Engineer, yuri@gjt.org.
## Author: Chris Rosebrugh, cpr@pobox.com
##  
## This file is a part of GLPK (GNU Linear Programming Kit).
##  
## GLPK is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##  
## GLPK is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##  
## You should have received a copy of the GNU General Public License
## along with GLPK; see the file COPYING. If not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.
## --------------------------------------------------------------------


JNI_MD_H=`find $(JAVA_HOME)/include -name jni_md.h | sed -e "s/\/jni_md.h//"`

CFLAGS= -Wall -I../java -I/usr/local/include -I$(JAVA_HOME)/include -I$(JNI_MD_H)

libglpk_jni.so: glpk.o Makefile
	gcc -shared -o $@ \
     -Wl,--whole-archive glpk.o \
     -Wl,--no-whole-archive -L/usr/local/lib -lglpk
	chmod a+x $@

clean:
	rm -f libglpk_jni.so glpk.o

=== contrib/jni/java/Makefile ===
## Makefile (Java Native Interface for GLPK)
##
##   Should be called from the parent directory's Makefile since 
##   that deals with the dependencies
##
## ---------------------------------------------------------------------
## Copyright (C) 2003 Andrew Makhorin <mao@mai2.rcnet.ru>, Department
## for Applied Informatics, Moscow Aviation Institute, Moscow, Russia.
## All rights reserved.
##
## Author: Chris Rosebrugh, cpr@pobox.com
##  
## This file is a part of GLPK (GNU Linear Programming Kit).
##  
## GLPK is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##  
## GLPK is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##  
## You should have received a copy of the GNU General Public License
## along with GLPK; see the file COPYING. If not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.
## --------------------------------------------------------------------

all: glpk.jar org_gnu_glpk_GlpkSolver.h

glpk.jar: $(wildcard *.java)
	javac -d ./ $^
	jar cf $@ org

org_gnu_glpk_GlpkSolver.h: org/gnu/glpk/GlpkSolver.class
	javah -classpath ./ org.gnu.glpk.GlpkSolver

clean:
	rm -rf org glpk.jar org org_gnu_glpk_GlpkSolver.h

=== contrib/jni/sample/Makefile ===
## Makefile (Java Native Interface for GLPK)
##
##   Should be called from the parent directory's Makefile since 
##   that deals with the dependencies
##
## ---------------------------------------------------------------------
## Copyright (C) 2003 Andrew Makhorin <mao@mai2.rcnet.ru>, Department
## for Applied Informatics, Moscow Aviation Institute, Moscow, Russia.
## All rights reserved.
##
## Author: Chris Rosebrugh, cpr@pobox.com
##  
## This file is a part of GLPK (GNU Linear Programming Kit).
##  
## GLPK is free software; you can redistribute it and/or modify it
## under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##  
## GLPK is distributed in the hope that it will be useful, but WITHOUT
## ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
## or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public
## License for more details.
##  
## You should have received a copy of the GNU General Public License
## along with GLPK; see the file COPYING. If not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
## 02111-1307, USA.
## --------------------------------------------------------------------

all: GlpkMagicSquare.class


GlpkMagicSquare.class: GlpkMagicSquare.java
	javac -classpath ../java/glpk.jar GlpkMagicSquare.java

LOAD_DIR=../c

test: all
	java -Djava.library.path='$(LOAD_DIR)' -classpath './:../java/glpk.jar' GlpkMagicSquare

clean:
	rm -f GlpkMagicSquare.class
	rm -f *.log

## glpk 4.8-0.2

=== DESCRIPTION ===
Package: glpk
Title: GNU Linear Programming Kit
Version: 4.8-0.2
Author: Lopaka Lee
Description: Interface to the GNU Linear Programming Kit (GLPK) version 4.8.  This release requires some knowledge of the GLPK C API.  Almost all GLPK lpx routines are supported.  However, this release is beta status due to the fact that not all routines have been tested.  Suggestions and improvements are solicited.
Maintainer: Lopaka Lee <rlee@fpcc.gov>
License: GPL version 2 or newer
Packaged: Fri Jun 17 10:22:46 2005; rclee

## glpk 4.8-0.3

=== DESCRIPTION ===
Package: glpk
Title: GNU Linear Programming Kit
Version: 4.8-0.3
Author: Lopaka Lee
Description: The GNU Linear Programming Kit (GLPK) version 4.8.  This interface mirrors the GLPK C API.  Almost all GLPK lpx routines are supported.  This release is beta status due to the fact that not all routines have been tested.  Suggestions and improvements are solicited.
Maintainer: Lopaka Lee <rlee@fpcc.gov>
License: GPL version 2 or newer
Packaged: Thu Jun 23 10:09:20 2005; rclee

## glpk 4.8-0.4

=== DESCRIPTION ===
Package: glpk
Title: GNU Linear Programming Kit
Version: 4.8-0.4
Author: Lopaka Lee
Description: The GNU Linear Programming Kit (GLPK) version 4.8.  This interface mirrors the GLPK C API.  Almost all GLPK lpx routines are supported. 
Maintainer: Lopaka Lee <rclee@usgs.gov>
License: GPL version 2 or newer
Packaged: Tue Apr 25 13:29:29 2006; rclee

## glpk 4.8-0.5

=== DESCRIPTION ===
Package: glpk
Title: GNU Linear Programming Kit
Version: 4.8-0.5
Author: Lopaka Lee and Louis Luangkesorn
Description: The GNU Linear Programming Kit (GLPK) version 4.8.  This interface mirrors the GLPK C API.  Almost all GLPK lpx routines are supported. 
Maintainer: Lopaka Lee <rclee@usgs.gov>
License: GPL version 2 or newer
Packaged: Thu Oct 12 12:55:36 2006; rclee

## glpk 4.45

=== debian/changelog ===
glpk (4.45-1) unstable; urgency=low

  * Team upload
  * ACK NMU
  * New upstream release
  * Package moved to the Debian Science team
  * Standards-Version updated to version 3.9.2
  * Launch libtoolize and autoreconf (Closes: #558505)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/glpk-doc.doc-base.tables removed (tables.pdf is no longer provided)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Aug 2011 23:27:24 +0200

glpk (4.43-1.1) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 22:29:43 -0500

glpk (4.43-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standards-Version to 3.8.4.0 (no changes needed)
    + Remove Rafael Laboissiere <rafael@debian.org> from Uploaders
      (closes: #571827)
    + libmysqlclient15-dev -> libmysqlclient-dev
  * debian/libglpk0.symbols: Add new symbols
  * debian/glpsol.1: Update

 -- Falk Hueffner <falk@debian.org>  Mon, 01 Mar 2010 15:58:57 +0100

glpk (4.38-1) unstable; urgency=low

  * New upstream release
  * debian/libglpk0.symbols: Add new library symbols glp_init_iptcp and
    glp_init_mpscp
  * debian/control: The Debian packaging files are now maintained through
    a Git repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
    accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 30 Apr 2009 12:41:34 +0200

glpk (4.37-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libltdl-dev instead of libltdl3-dev. This should
      ensure the transition from libltdl3 to libltdl7.
    + Change section of libglpk0-dbg to debug

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 04 Apr 2009 22:46:07 +0200

glpk (4.37-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + Use viewsvn instead of wsvn in Vcs-Browser
  * debian/libglpk0.symbols: Add new symbols

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 29 Mar 2009 18:25:59 +0200

glpk (4.36-2) unstable; urgency=low

  * Upload to unstable, since lenny is released

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 08 Feb 2009 02:08:48 +0100

glpk (4.36-1) experimental; urgency=low

  * New upstream release
  * debian/control: Add trunk to the end of the URL in Vcs-Svn
  * debian/libglpk0.symbols: Add the new API routines glp_maxflow_ffalg,
    glp_mincost_okalg, and glp_weak_comp, introduced in this version

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 04 Feb 2009 10:08:29 +0100

glpk (4.35-1) experimental; urgency=low

  * New upstream release
  * debian/libglpk0.symbols: Add new library symbols

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 09 Jan 2009 17:25:26 +0100

glpk (4.34-2) experimental; urgency=low

  * Add a -dbg package (closes: #507136)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 17 Dec 2008 12:27:32 +0100

glpk (4.34-1) experimental; urgency=low

  * New upstream release
  * debian/control: Add ${misc:Depends} to the dependecies of all binary
    packages
  * debian/glpk-doc.doc-base.{refman,language}: Refer to PDF documentation
    instead of PostScript
  * debian/glpk-doc.doc-base.tables: Add supplementary documentiaton
  * debian/rules: Do not compress PDF files

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 05 Dec 2008 23:11:40 +0100

glpk (4.33-2) experimental; urgency=low

  * debian/libglpk0.symbols: Update the version information of some
    glp_ios_* symbol, which were introduced in version 4.32. and not 4.33.

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Nov 2008 16:23:45 +0100

glpk (4.33-1) experimental; urgency=low

  * New upstream release
  * debian/libglpk0.symbols: Update by adding new API functions added in
    this release

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 01 Nov 2008 10:37:44 +0100

glpk (4.32-1) experimental; urgency=low

  * New upstream release
  * debian/libglpk0.symbols: Update list of symbols of the shared
    library.  Upstream is using now -export-symbols-regex in LD_FLAGS, so
    that only the symbols that are actually part of the library API are
    now being exported.  Kudos to Andrew Makhorin.
  * debian/control: Fixed short descriptions of the glpk  (closes:
    #499491) and glpk-utils (closes: #499494) packages.  Thanks to Lars
    Schwendicke for the heads up

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 05 Oct 2008 18:42:17 +0200

glpk (4.31-1) experimental; urgency=low

  * New upstream release.  The glpk program in this version does not fails
    on assertion due to insufficient robustness of the glpk mip
    solver (closes: #490288)
  * debian/libglpk0.symbols: Update list of symbols of the shared library

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 03 Sep 2008 14:41:01 +0200

glpk (4.30-1) experimental; urgency=low

  * New upstream release.  Uploading to experimental until the release of
    lenny.
  * debian/symbols: Add shared library symbols file

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Aug 2008 22:14:26 +0200

glpk (4.29-2) unstable; urgency=low

  * debian/rules: Enable the configure options that are now disabled by
    default but were enabled before

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jul 2008 10:41:25 +0200

glpk (4.29-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Add passive FTP option
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 Jul 2008 10:15:30 +0200

glpk (4.28-3) unstable; urgency=low

  * debian/control: Build-depend on libiodbc2-dev and
    libmysqlclient15-dev, such that IODBC and MySQL support is really
    enabled (closes: #473517)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 Mar 2008 10:09:19 +0200

glpk (4.28-2) unstable; urgency=low

  * debian/glpk-utils.examples: Include sql/ directory in the examples
  * debian/rules: Do not compress .sql files


=== debian/control ===
Source: glpk
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Falk Hueffner <falk@debian.org>
Build-Depends: debhelper, cdbs, libgmp-dev, libltdl-dev,
 zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, automake, autoconf, libtool
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/glpk/glpk.html
Vcs-Git: git://git.debian.org/git/debian-science/packages/glpk.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/glpk.git

Package: libglpk0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libiodbc2-dev, libmysqlclient-dev
Description: linear programming kit with integer (MIP) support
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language.  GLPK also supports the standard MPS and LP formats.
 .
 The GLPK package includes the following main components:
    * Revised simplex method.
    * Primal-dual interior point method.
    * Branch-and-bound method.
    * Translator for GNU MathProg modeling language.
    * Application program interface (API).
 .
 In order to get connections between the internal MathProg model
 objects and external database tables, please install the
 libiodbc2-dev (for the iODBC table driver) and libmysqlclient-dev
 (for the MySQL table driver).

Package: libglpk0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libglpk0 (= ${binary:Version}), ${misc:Depends}
Suggests: libiodbc2-dev, libmysqlclient-dev
Description: linear programming kit - debugging symbols
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains debugging symbols for the GLPK library.

Package: libglpk-dev
Architecture: any
Section: libdevel
Depends: libglpk0 (= ${binary:Version}), ${misc:Depends}
Conflicts: glpk (<< 4.15)
Description: linear programming kit - development files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains static library, headers, and the development
 manpage for libvc.

Package: glpk-doc
Architecture: all
Section: doc
Conflicts: glpk (<< 4.15)
Depends: ${misc:Depends}
Description: linear programming kit - documentation files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains the C API reference manual and the GNU MathProg
 modeling language manual.

Package: glpk-utils
Architecture: any
Depends: libglpk0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: glpk (<< 4.15)
Description: linear programming kit - utility files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains the following stand-alone tools:
    * glpsol: LP/MIP solver
    * tspsol: TSP solver

Package: glpk
Architecture: any
Depends: libglpk0 (= ${binary:Version}), glpk-doc (= ${source:Version}),
 libglpk-dev (= ${binary:Version}), glpk-utils (= ${binary:Version}),
 ${misc:Depends}
Description: linear programming kit
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package is empty and is intended to easy the upgrade from glpk << 4.15.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the glpk package
# GNU copyright (C) 2007, 2008  Rafael Laboissiere

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

debversion = $(shell perl -ne '/([\d.-]+)/;print "$$1"; last' \
		debian/changelog)
uversion = $(shell echo $(debversion) | sed "s/-.*//")

DEB_CONFIGURE_EXTRA_FLAGS =	\
	--enable-dl --enable-odbc --enable-mysql --with-gmp --with-zlib
DEB_MAKE_CHECK_TARGET = check
DEB_DH_MAKESHLIBS_ARGS_libglpk0 = -V"libglpk0 (>= $(uversion))"
DEB_COMPRESS_EXCLUDE = .sql .pdf

debian/stamp-autotools-files:
	libtoolize
	autoreconf

## glpk 4.52.1

=== debian/changelog ===
glpk (4.52.1-2build1) trusty; urgency=medium

  * No-change rebuild for suitesparse transition.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 20 Dec 2013 22:00:30 -0500

glpk (4.52.1-2) unstable; urgency=low

  * Upload to unstable. (Closes: #724212)
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Dec 2013 16:50:46 +0100

glpk (4.52.1-1) experimental; urgency=low

  * New upstream release
  * Use canonical URLs for Vcs-* fields
  * Mark debug package as Multi-Arch: same

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Jul 2013 14:08:16 +0200

glpk (4.51-1) experimental; urgency=low

  * New upstream release
    + SOVERSION bump, the shared library is now libglpk36
    + no-embedded-zlib.patch: new patch to ensure that we don't use the
      embedded zlib
  * no-embedded-suitesparse.patch: no longer use embedded copy of AMD and
    COLAMD libraries from suitesparse
  * Multi-archify the shared library package
  * Bump to debhelper compat level 9
  * Remove obsolete glpk transition package (Closes: #598786)
  * Add myself to uploaders
  * Bump Standards-Version to 3.9.4, no changes needed
  * Fix description of glpk-utils: example program "tspsol" has been
    removed upstream (Closes: #698319)
  * Update manpage of glpsol
  * debian/copyright: update and convert to machine-readable format 1.0

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 25 Jun 2013 22:33:44 +0200

=== debian/control ===
Source: glpk
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Falk Hueffner <falk@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), libgmp-dev, libltdl-dev,
 zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, dh-autoreconf, dh-exec,
 libsuitesparse-dev
Standards-Version: 3.9.5
Homepage: http://www.gnu.org/software/glpk/glpk.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/glpk.git

Package: libglpk36
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libiodbc2-dev, libmysqlclient-dev
Description: linear programming kit with integer (MIP) support
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 GLPK supports the GNU MathProg language, which is a subset of the
 AMPL language.  GLPK also supports the standard MPS and LP formats.
 .
 The GLPK package includes the following main components:
    * Revised simplex method.
    * Primal-dual interior point method.
    * Branch-and-bound method.
    * Translator for GNU MathProg modeling language.
    * Application program interface (API).
 .
 In order to get connections between the internal MathProg model
 objects and external database tables, please install the
 libiodbc2-dev (for the iODBC table driver) and libmysqlclient-dev
 (for the MySQL table driver).

Package: libglpk36-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libglpk36 (= ${binary:Version}), ${misc:Depends}
Suggests: libiodbc2-dev, libmysqlclient-dev
Description: linear programming kit - debugging symbols
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains debugging symbols for the GLPK library.

Package: libglpk-dev
Architecture: any
Section: libdevel
Depends: libglpk36 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
 zlib1g-dev, libsuitesparse-dev
Description: linear programming kit - development files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains static library, headers, and the development
 manpage for libvc.

Package: glpk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: linear programming kit - documentation files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains the C API reference manual and the GNU MathProg
 modeling language manual.

Package: glpk-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: linear programming kit - utility files
 GLPK (GNU Linear Programming Kit) is intended for solving large-scale
 linear programming (LP), mixed integer programming (MIP), and other
 related problems. It is a set of routines written in ANSI C and
 organized in the form of a callable library.
 .
 This package contains a stand-alone LP/MIP solver (glpsol) and several example
 problems.

=== debian/watch ===
version=3
opts=passive ftp://ftp.gnu.org/pub/gnu/glpk/ glpk-([\d.]*).tar.gz

## glpk 4.54

=== debian/changelog ===
glpk (4.54-1) unstable; urgency=medium

  * Imported Upstream version 4.54
  * obtain-iodbc-cflags.patch: remove patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 01 Apr 2014 19:37:31 +0200

glpk (4.53-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New patch: obtain-iodbc-cflags.patch (Closes: #740067)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 26 Mar 2014 14:27:17 +0100

glpk (4.53-1) unstable; urgency=medium

  * Imported Upstream version 4.53
    - fixes reading of gzipped files in glp_prob_read_lp (Closes: #718392)
  * Add upstream PGP key for verification by uscan.
  * debian/copyright: reflect upstream changes.
  * glpk-doc: ship examples showing how to convert old to new API.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 18:18:23 +0100

## glpk 4.55

=== debian/changelog ===
glpk (4.55-1) unstable; urgency=medium

  * Imported Upstream version 4.55
  * debian/watch: use HTTP, fix verification of PGP signature.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Aug 2014 22:30:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glpk
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Falk Hueffner <falk@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), libgmp-dev, libltdl-dev,

## glpk 4.57

=== debian/changelog ===
glpk (4.57-1build3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:23:41 +0000

glpk (4.57-1build2) xenial; urgency=medium

  * No-change rebuild for libglpk transition.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 10:30:25 +0000

glpk (4.57-1build1) xenial; urgency=medium

  * No-change rebuild against suitesparse 1:4.4.5-2

 -- Graham Inggs <graham@nerve.org.za>  Tue, 01 Dec 2015 13:42:42 +0200

glpk (4.57-1) unstable; urgency=medium

  * Imported Upstream version 4.57
  * d/libglpk36.symbols: add new symbol.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Nov 2015 14:21:28 +0100

glpk (4.56-1) unstable; urgency=medium

  * Imported Upstream version 4.56
  * d/copyright: reflect upstream changes.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Oct 2015 13:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), libgmp-dev, libltdl-dev,
  zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, dh-autoreconf, dh-exec,
  libsuitesparse-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/software/glpk/glpk.html
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/glpk.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for the glpk package
# GNU copyright (C) 2007, 2008  Rafael Laboissiere

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS =	\
	--enable-dl --enable-odbc --enable-mysql --with-gmp \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_MAKE_CHECK_TARGET = check
DEB_DH_MAKESHLIBS_ARGS_libglpk36 = -V
DEB_COMPRESS_EXCLUDE_ALL = .sql .pdf

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://ftpmirror.gnu.org/glpk/glpk-([\d\.]+)\.tar\.gz

## glpk 4.58

=== debian/changelog ===
glpk (4.58-2b2) staging; urgency=high

  * Increase version again to work around queue issues

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:56:30 +0000

glpk (4.58-2b1) staging; urgency=high

  * No-change rebuild against libcsparse3.1.4

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 19 Mar 2016 00:56:30 +0000

glpk (4.58-2) unstable; urgency=low

  * Release to unstable.
  * Re-add parallel building.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Feb 2016 20:04:02 +0100

glpk (4.58-1) experimental; urgency=low

  * Imported Upstream version 4.58
  * d/copyright: reflect upstream changes.
  * SONAME bump: shared lib package now libglpk39.
  * d/rules: migrate to dh.
  * Drop -dbg package, now rely on automatic debug packages.
  * d/control: use secure URLs for Vcs-*.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 19 Feb 2016 20:20:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Falk Hueffner <falk@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs (>= 0.4.93~), libgmp-dev, libltdl-dev,
+Build-Depends: debhelper (>= 9), libgmp-dev, libltdl-dev,
  zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, dh-autoreconf, dh-exec,
  libsuitesparse-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.gnu.org/software/glpk/glpk.html
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/glpk.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/glpk.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/glpk.git
 
-Package: libglpk36
+Package: libglpk39
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -39,25 +39,10 @@
  libiodbc2-dev (for the iODBC table driver) and libmysqlclient-dev
  (for the MySQL table driver).
 
-Package: libglpk36-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends: libglpk36 (= ${binary:Version}), ${misc:Depends}
-Suggests: libiodbc2-dev, libmysqlclient-dev
-Description: linear programming kit - debugging symbols
- GLPK (GNU Linear Programming Kit) is intended for solving large-scale
- linear programming (LP), mixed integer programming (MIP), and other
- related problems. It is a set of routines written in ANSI C and
- organized in the form of a callable library.
- .
- This package contains debugging symbols for the GLPK library.
-
 Package: libglpk-dev
 Architecture: any
 Section: libdevel
-Depends: libglpk36 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
+Depends: libglpk39 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
  zlib1g-dev, libsuitesparse-dev
 Description: linear programming kit - development files
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale

## glpk 4.60

=== debian/changelog ===
glpk (4.60-2build1) yakkety; urgency=medium

  * No-change rebuild against suitesparse 1:4.5.3-1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 May 2016 17:41:41 +0200

glpk (4.60-2) unstable; urgency=low

  * Release to unstable.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 10 May 2016 21:03:05 +0200

glpk (4.60-1) experimental; urgency=low

  * Imported Upstream version 4.60
  * SOVERSION bump: shared lib package now libglpk40.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Apr 2016 11:39:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper (>= 9), libgmp-dev, libltdl-dev,
  zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, dh-autoreconf, dh-exec,
  libsuitesparse-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/glpk/glpk.html
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
 Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/glpk.git
 
-Package: libglpk39
+Package: libglpk40
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -42,7 +42,7 @@
 Package: libglpk-dev
 Architecture: any
 Section: libdevel
-Depends: libglpk39 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
+Depends: libglpk40 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
  zlib1g-dev, libsuitesparse-dev
 Description: linear programming kit - development files
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-dl --enable-odbc --enable-mysql --with-gmp

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_compress:
	dh_compress -X.pdf

## glpk 4.61

=== debian/changelog ===
glpk (4.61-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 15 Apr 2017 23:49:05 +0200

glpk (4.61-1) unstable; urgency=medium

  * New upstream version 4.61
  * d/copyright: reflect upstream changes.
  * Add glp_config to symbols file.
  * d/watch: bump to format version 4.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Jan 2017 20:25:48 +0100

glpk (4.60-3) unstable; urgency=medium

  * Replace libmysqlclient-dev with default-libmysqlclient-dev.
    (Closes: #845845)
  * Bump to debhelper compat level 10.
  * Stop using dh-exec.
  * Mark libglpk-dev M-A same.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 27 Nov 2016 11:07:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Falk Hueffner <falk@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), libgmp-dev, libltdl-dev,
- zlib1g-dev, libiodbc2-dev, libmysqlclient-dev, dh-autoreconf, dh-exec,
- libsuitesparse-dev
+Build-Depends: debhelper (>= 10), libgmp-dev, libltdl-dev,
+ zlib1g-dev, libiodbc2-dev, default-libmysqlclient-dev, libsuitesparse-dev
 Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/glpk/glpk.html
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
@@ -17,7 +16,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libiodbc2-dev, libmysqlclient-dev
+Suggests: libiodbc2-dev, default-libmysqlclient-dev
 Description: linear programming kit with integer (MIP) support
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale
  linear programming (LP), mixed integer programming (MIP), and other
@@ -41,6 +40,7 @@
 
 Package: libglpk-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libglpk40 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
  zlib1g-dev, libsuitesparse-dev

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://ftpmirror.gnu.org/glpk/glpk-([\d\.]+)\.tar\.gz

## glpk 4.63

=== debian/changelog ===
glpk (4.63-1) unstable; urgency=medium

  * New upstream version 4.63
  * d/control:
    + bump Standards-Version to 4.0.0.
    + drop Falk Hueffner from Uploaders, no longer active.
      Thanks Falk for your contributions to this package!
  * Automatically generate glpsol manpage with help2man.
  * Add an autopkgtest, using glpsol (same as run by "make check").

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 29 Jul 2017 10:17:30 +0200

glpk (4.62-1) unstable; urgency=medium

  * New upstream version 4.62
  * d/copyright: use secure URL for format.
  * d/control:
    + Use canonical URL for Vcs-Browser.
    + Mark glpk-doc as M-A foreign.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 18 Jun 2017 11:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: glpk
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Falk Hueffner <falk@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 10), libgmp-dev, libltdl-dev,
- zlib1g-dev, libiodbc2-dev, default-libmysqlclient-dev, libsuitesparse-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10),
+               libgmp-dev,
+               libltdl-dev,
+               zlib1g-dev,
+               libiodbc2-dev,
+               default-libmysqlclient-dev,
+               libsuitesparse-dev,
+               help2man
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
 Homepage: http://www.gnu.org/software/glpk/glpk.html
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/glpk.git
 
 Package: libglpk40
 Architecture: any
 Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Suggests: libiodbc2-dev,
+          default-libmysqlclient-dev
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libiodbc2-dev, default-libmysqlclient-dev
 Description: linear programming kit with integer (MIP) support
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale
  linear programming (LP), mixed integer programming (MIP), and other
@@ -42,8 +49,11 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libglpk40 (= ${binary:Version}), ${misc:Depends}, libgmp-dev,
- zlib1g-dev, libsuitesparse-dev
+Depends: libglpk40 (= ${binary:Version}),
+         ${misc:Depends},
+         libgmp-dev,
+         zlib1g-dev,
+         libsuitesparse-dev
 Description: linear programming kit - development files
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale
  linear programming (LP), mixed integer programming (MIP), and other
@@ -55,6 +65,7 @@
 
 Package: glpk-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: linear programming kit - documentation files
@@ -68,7 +79,8 @@
 
 Package: glpk-utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: linear programming kit - utility files
  GLPK (GNU Linear Programming Kit) is intended for solving large-scale
  linear programming (LP), mixed integer programming (MIP), and other

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dl --enable-odbc --enable-mysql --with-gmp

override_dh_auto_install:
	dh_auto_install
	help2man -N -n "large-scale linear and mixed integer programming solver" -o debian/tmp/glpsol.1 examples/glpsol

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_compress:
	dh_compress -X.pdf

## glpk 4.65

=== examples/threads/Makefile ===
all:
	gcc multiseed.c -I. -lglpk -pthread -o multiseed

check:
	./multiseed clustering.mod 20

=== debian/changelog ===
glpk (4.65-2) unstable; urgency=medium

  * long-step-dual-simplex-msg.patch: new patch, removes spurious info message.
    (Closes: #891465)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 02 Mar 2018 09:08:40 +0100

glpk (4.65-1) unstable; urgency=medium

  * New upstream version 4.65
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 11.
  * Update Vcs-* fields for move to salsa.
  * Add new symbols to libglpk40.symbols.
  * Bump Standards-Version to 4.1.3.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 20 Feb 2018 17:02:44 +0100

glpk (4.64-2) unstable; urgency=medium

  * Fix FTBFS when only building arch:all packages.
  * Fix typo in manpage.
  * Move README.Debian to glpk-utils (it describes glpsol sql example).

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Dec 2017 19:22:59 +0100

glpk (4.64-1) unstable; urgency=medium

  * New upstream version 4.64
  * d/watch: use secure URL.
  * Move libglpk40 to section libs (following lintian warning).
  * Bump Standards-Version to 4.1.2.
  * Add missing examples in glpk-utils.
  * Write a short manpage for glpsol, instead of generating it with help2man.
    (Closes: #875736)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Dec 2017 14:50:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libgmp-dev,
                libltdl-dev,
                zlib1g-dev,
                libiodbc2-dev,
                default-libmysqlclient-dev,
-               libsuitesparse-dev,
-               help2man
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glpk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glpk.git
+               libsuitesparse-dev
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/glpk
+Vcs-Git: https://salsa.debian.org/science-team/glpk.git
 Homepage: http://www.gnu.org/software/glpk/glpk.html
 
 Package: libglpk40
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: libiodbc2-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dl --enable-odbc --enable-mysql --with-gmp

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_installexamples:
	dh_installexamples
	rm -f debian/glpk-utils/usr/share/doc/glpk-utils/examples/glpsol* \
		debian/glpk-utils/usr/share/doc/glpk-utils/examples/Makefile*

override_dh_compress:
	dh_compress -X.pdf

## glpk 5.0

=== debian/changelog ===
glpk (5.0-2) unstable; urgency=medium

  * gcc-15.patch: new patch, fixes FTBFS against GCC 15 (Closes: #1096728)
  * Enable link-time optimization (LTO)
  * Bump S-V to 4.7.2
  * Drop “Rules-Requires-Root: no”, which is now the default
  * Remove unneeded versioned dependency on debhelper
  * Re-export upstream signing key without extra signatures.
  * Trim trailing whitespace.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Aug 2025 15:52:03 +0200

glpk (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * d/copyright: reflect upstream changes
  * long-step-dual-simplex-msg.patch: drop patch, applied upstream
  * Add Build-Depends-Package field in symbols file
  * Bump to debhelper 13
  * d/rules: simplify using debhelper 12.8’s execute_after_* rules
  * Add Rules-Requires-Root: no
  * Use secure URL for Homepage
  * Add debian/upstream/metadata
  * Bump S-V to 4.5.1
  * libglpk40.symbols: drop glp_netgen_prob.
    Upstream did not perform a SOVERSION bump, apparently considering that this
    symbol should not have been used.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 17 Dec 2020 12:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libgmp-dev,
                libltdl-dev,
                zlib1g-dev,
                libiodbc2-dev,
                default-libmysqlclient-dev,
                libsuitesparse-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/glpk
 Vcs-Git: https://salsa.debian.org/science-team/glpk.git
-Homepage: http://www.gnu.org/software/glpk/glpk.html
+Homepage: https://www.gnu.org/software/glpk/glpk.html
 
 Package: libglpk40
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dl --enable-odbc --enable-mysql --with-gmp

execute_after_dh_installexamples:
	rm -f debian/glpk-utils/usr/share/doc/glpk-utils/examples/glpsol* \
		debian/glpk-utils/usr/share/doc/glpk-utils/examples/Makefile*

override_dh_compress:
	dh_compress -X.pdf

=== debian/tests/control ===
Depends: glpk-utils
Test-Command: glpsol --mps examples/murtagh.mps --max

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ftpmirror.gnu.org/glpk/glpk-([\d\.]+)\.tar\.gz
